/**
 * 
 */
package com.ejie.ad74a.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Representacion de los beneficiarios del piso tutelado de un ayuntamiento en informe excel
 * @author BICUGUAL
 *
 */
public class ReciboAytoResidente implements Serializable {

	private static final long serialVersionUID = -2971999373641499839L;
	private String residente;
	private String dni;
	
	private List<Copago> lstCopagos= new ArrayList<>();

	public ReciboAytoResidente() {
		super();
	}

	public ReciboAytoResidente(String residente, String dni, List<Copago> lstCopagos) {
		super();
		this.residente = residente;
		this.dni = dni;
		this.lstCopagos = lstCopagos;
	}

	public String getResidente() {
		return residente;
	}

	public void setResidente(String residente) {
		this.residente = residente;
	}

	public String getDni() {
		return dni;
	}

	public void setDni(String dni) {
		this.dni = dni;
	}

	public List<Copago> getLstCopagos() {
		return lstCopagos;
	}

	public void setLstCopagos(List<Copago> lstCopagos) {
		this.lstCopagos = lstCopagos;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	@Override
	public String toString() {
		return "ReciboAytoResidente [residente=" + residente + ", dni=" + dni + ", lstCopagos=" + lstCopagos + "]";
	}
	
}
